VST 3 Examples VST 3.7 SDK for developing VST plug-in

Classes | Public Member Functions | Protected Types | Protected Attributes | List of all members
TestSuite Class Reference

`#include <testsuite.h>`

Inheritance diagram for TestSuite:

## Classes
class | Test

## Public Member Functions
| TestSuite (FIDString _name)
tresult | addTest (FIDString _name, ITest *test) SMTG_OVERRIDE
tresult | addTestSuite (FIDString _name, ITestSuite *testSuite) SMTG_OVERRIDE
tresult | setEnvironment (ITest *) SMTG_OVERRIDE
int32 | getTestCount () const
tresult | getTest (int32 index, ITest *&_test, std::string &_name) const
tresult | getTestSuite (int32 index, ITestSuite *&testSuite, std::string &_name) const
ITestSuite * | getTestSuite (FIDString _name) const
const std::string & | getName () const
| OBJ_METHODS (TestSuite, FObject) REFCOUNT_METHODS(FObject) DEF_INTERFACES_1(ITestSuite
virtual tresult | addTest (FIDString name, ITest *test)=0
virtual tresult | addTestSuite (FIDString name, ITestSuite *testSuite)=0
virtual tresult | setEnvironment (ITest *environment)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Types
using | TestSuitePair = std::pair< std::string, IPtr< ITestSuite > >
using | TestSuiteVector = std::vector< TestSuitePair >

## Protected Attributes
std::string | name
std::vector< IPtr< Test > > | tests
TestSuiteVector | testSuites

## Additional Inherited Members
Static Public Attributes inherited from ITestSuite
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Member Typedef Documentation

## ◆ TestSuitePair

using TestSuitePair = std::pair<std::string, IPtr<ITestSuite> >
| protected

## ◆ TestSuiteVector

using TestSuiteVector = std::vector<TestSuitePair>
| protected

## Constructor & Destructor Documentation

## ◆ TestSuite()

TestSuite | ( | FIDString | _name | ) |
| inline

## Member Function Documentation

## ◆ addTest()

tresult addTest | ( | FIDString | _name,
|  | ITest * | test
| ) |  |
| inline virtual

Implements ITestSuite.

## ◆ addTestSuite()

tresult addTestSuite | ( | FIDString | _name,
|  | ITestSuite * | testSuite
| ) |  |
| inline virtual

Implements ITestSuite.

## ◆ setEnvironment()

tresult setEnvironment | ( | ITest * |  | ) |
| inline virtual

Implements ITestSuite.

## ◆ getTestCount()

int32 getTestCount | ( |  | ) | const
| inline

## ◆ getTest()

tresult getTest | ( | int32 | index,
|  | ITest *& | _test,
|  | std::string & | _name
| ) |  | const
| inline

## ◆ getTestSuite() [1/2]

tresult getTestSuite | ( | int32 | index,
|  | ITestSuite *& | testSuite,
|  | std::string & | _name
| ) |  | const
| inline

## ◆ getTestSuite() [2/2]

ITestSuite * getTestSuite | ( | FIDString | _name | ) | const
| inline

## ◆ getName()

const std::string & getName | ( |  | ) | const
| inline

## ◆ OBJ_METHODS()

OBJ_METHODS | ( | TestSuite | ,
|  | FObject |
| ) |  |

## Member Data Documentation

## ◆ name

std::string name
| protected

## ◆ tests

std::vector<IPtr<Test> > tests
| protected

## ◆ testSuites

TestSuiteVector testSuites
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.